import processing.serial.*;

String A;
String val="";
PFont f;  
PImage question;
PImage check;
Serial myPort;  // Create object from Serial class
  // Data received from the serial port

void setup()
{
  String val; 
  size(1000,500);
  
  f = createFont("Arial",16,true);
  
  question = loadImage("OIP.jpg");
  check = loadImage("R.png");
  
  String portName = Serial.list()[6]; //change the 0 to a 1 or 2 etc. to match your port
  myPort = new Serial(this, portName, 9600);
  
  background(255,0,0);
   text("No Card Avalible",320,250); 
}


void draw()
{
  if ( myPort.available() > 0) 
  {  // If data is available,
    val = myPort.readStringUntil('\n'); 
      println(val); //print it out in the console
      background(255);
      textFont(f,50);                  // STEP 3 Specify font to be used
      fill(0);  // STEP 4 Specify font color
   if (val != null){
     background(255);
     text("Your card ID is " + val,145,250); 
     image(check, 810, 175, width/6, height/4);
   }
  }
  else {
   background(255,0,0);
   text("No Card Avalible",320,250); 
   image(question, 400, 280, width/6, height/4);
  }
}
